View Issue Details

IDProjectCategoryView StatusLast Update
0002402Slicer4Core: CLI infrastructurepublic2018-03-02 11:06
ReporterlassoanAssigned Tomillerjv 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionSlicer 4.6.0Fixed in Version 
Summary0002402: Allow CLI modules to have string outputs
Description

CLI modules currently cannot display strings for the user. The currently used workarounds (write results to a file or to the stdout->Slicer log) are not convenient for the user.

Allow the modules to display result strings (warnings, information messages about the execution) and/or numerical results in the Slicer GUI.

TagsNo tags attached.

Relationships

related to 0002842 resolvedmillerjv CLI output parameters should not be editable 

Activities

millerjv

millerjv

2012-08-14 13:22

developer   ~0005552

Parameters on the output channel can be displayed on the Slicer GUI just like any input parameter.

lassoan

lassoan

2012-08-14 13:44

developer   ~0005553

Can you suggest an existing CLI module that uses this method to display something on the Slicer GUI?

millerjv

millerjv

2012-08-14 14:49

developer   ~0005554

https://github.com/Slicer/Slicer/blob/master/Modules/CLI/ExecutionModelTour/ExecutionModelTour.cxx

lassoan

lassoan

2012-08-17 13:31

developer   ~0005563

Thank you very much, the outputs work well. The only limitation is that the values don't look as output values at all.

Some hints should be given to the user that those values are really outputs: at least editing should be disabled, and maybe displayed below the Apply button.

millerjv

millerjv

2012-08-17 14:05

developer   ~0005565

In Slicer3 they were not editable. I havent looked to see how it was implemented in Slicer4. Sounds like some tuning of the capability is needed.

lassoan

lassoan

2012-12-28 17:56

developer   ~0007596

Yes, it works correctly in Slicer4 except that the output fields are displayed the same way as input fields (they are editable and look exactly the same).

Added 0002842 to track the display problem, so this issue can be closed.

lassoan

lassoan

2015-12-09 12:55

developer   ~0013673

Fixed in rev 24811

Issue History

Date Modified Username Field Change
2012-08-14 12:41 lassoan New Issue
2012-08-14 12:41 lassoan Status new => assigned
2012-08-14 12:41 lassoan Assigned To => millerjv
2012-08-14 13:22 millerjv Note Added: 0005552
2012-08-14 13:44 lassoan Note Added: 0005553
2012-08-14 14:49 millerjv Note Added: 0005554
2012-08-17 13:31 lassoan Note Added: 0005563
2012-08-17 14:05 millerjv Note Added: 0005565
2012-08-22 05:56 jcfr Target Version => Slicer 4.3.0
2012-12-28 17:53 lassoan Relationship added related to 0002842
2012-12-28 17:56 lassoan Note Added: 0007596
2013-08-30 13:05 jcfr Target Version Slicer 4.3.0 => Slicer 4.4.0
2014-05-13 20:47 jcfr Target Version Slicer 4.4.0 => Slicer 4.5.0-1
2015-11-02 11:27 jcfr Target Version Slicer 4.5.0-1 => Slicer 4.6.0
2015-12-09 12:55 lassoan Note Added: 0013673
2015-12-09 12:55 lassoan Status assigned => resolved
2015-12-09 12:55 lassoan Resolution open => fixed
2018-03-02 11:06 jcfr Status resolved => closed